description

# ExtDisjointTimerQuery class Null safety

Annotations
  - @Native("EXTDisjointTimerQuery")

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

beginQueryExt(int target, TimerQueryExt query) → void
  @JSName('beginQueryEXT')
createQueryExt() → TimerQueryExt
  @JSName('createQueryEXT')
deleteQueryExt(TimerQueryExt? query) → void
  @JSName('deleteQueryEXT')
endQueryExt(int target) → void
  @JSName('endQueryEXT')
getQueryExt(int target, int pname) → Object?
  @JSName('getQueryEXT')
getQueryObjectExt(TimerQueryExt query, int pname) → Object?
  @JSName('getQueryObjectEXT')
isQueryExt(TimerQueryExt? query) → bool
  @JSName('isQueryEXT')
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
queryCounterExt(TimerQueryExt query, int target) → void
  @JSName('queryCounterEXT')
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

CURRENT_QUERY_EXT → const int
  `0x8865`
GPU_DISJOINT_EXT → const int
  `0x8FBB`
QUERY_COUNTER_BITS_EXT → const int
  `0x8864`
QUERY_RESULT_AVAILABLE_EXT → const int
  `0x8867`
QUERY_RESULT_EXT → const int
  `0x8866`
TIME_ELAPSED_EXT → const int
  `0x88BF`
TIMESTAMP_EXT → const int
  `0x8E28`